net.minecraft.inventory

## Class InventoryEnderChest

- java.lang.Object
- - net.minecraft.inventory.InventoryBasic
  - - net.minecraft.inventory.InventoryEnderChest

- All Implemented Interfaces:
    IInventory

      public class InventoryEnderChest
      extends InventoryBasic

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InventoryEnderChest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `closeInventory()`
    `void` | `func_146031_a(TileEntityEnderChest p_146031_1_)`
    `boolean` | `isUseableByPlayer(EntityPlayer par1EntityPlayer)`
    `void` | `loadInventoryFromNBT(NBTTagList par1NBTTagList)`
    `void` | `openInventory()`
    `NBTTagList` | `saveInventoryToNBT()`

    - ### Methods inherited from class net.minecraft.inventory.InventoryBasic

      `decrStackSize, func_110132_b, func_110133_a, func_110134_a, getInventoryName, getInventoryStackLimit, getSizeInventory, getStackInSlot, getStackInSlotOnClosing, hasCustomInventoryName, isItemValidForSlot, markDirty, setInventorySlotContents`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InventoryEnderChest

          public InventoryEnderChest()

  - ### Method Detail

    - #### func_146031_a

          public void func_146031_a(TileEntityEnderChest p_146031_1_)

    - #### loadInventoryFromNBT

          public void loadInventoryFromNBT(NBTTagList par1NBTTagList)

    - #### saveInventoryToNBT

          public NBTTagList saveInventoryToNBT()

    - #### isUseableByPlayer

          public boolean isUseableByPlayer(EntityPlayer par1EntityPlayer)

      Specified by:
        `isUseableByPlayer` in interface `IInventory`
      Overrides:
        `isUseableByPlayer` in class `InventoryBasic`

    - #### openInventory

          public void openInventory()

      Specified by:
        `openInventory` in interface `IInventory`
      Overrides:
        `openInventory` in class `InventoryBasic`

    - #### closeInventory

          public void closeInventory()

      Specified by:
        `closeInventory` in interface `IInventory`
      Overrides:
        `closeInventory` in class `InventoryBasic`